<app-buscador-carrito></app-buscador-carrito>
<div class="container-vEmprendimiento">
  <div class="perfilInformacion">
    <div class="imagen">
      <figure class="imagen-principal">
        <p-image src="{{ imagenPrincipal }}" [preview]="true" alt="Foto del emprendimiento"></p-image>
      </figure>
      <div class="imagenes-cambiar">
        <figure *ngFor="let imagen of listaImagenes" (click)="cambiarImagenPrincipal(imagen.imgUrl)">
          <img [src]="imagen.imgUrl">
        </figure>
      </div>
    </div>

    <p-divider></p-divider>

    <div class="datos-emprendimiento">
      <label class="label-fw700">{{ emprendimiento.NombreEmpresa }}</label>
      <p-rating [(ngModel)]="calificacion" [readonly]="true" [cancel]="false"></p-rating>
      <label>Categoría: {{ emprendimiento.CategoriaEmpresa.Nombre }} </label>
      <label>Ubicación: <a href="https://www.google.com/maps/search/?api=1&query={{ emprendimiento.Latitud }},{{ emprendimiento.Longitud }}" target="_blank" class="link_style"> <i class="uil uil-map"></i>&nbsp;{{ emprendimiento.Direccion }}</a></label>
      <label>Celular: <a href="https://wa.me/{{ emprendimiento.NumeroCelular}}" class="link_style" target="_blank"><i class="uil uil-whatsapp"></i>&nbsp;{{ emprendimiento.NumeroCelular }}</a></label>
      <label>{{ emprendimiento.Descripcion }}</label>
    </div>
  </div>

  <div class="productos">
    <ng-container *ngIf="productos.length > 0 else mensaje">
      <div class="productos">
        <app-tarjeta-producto *ngFor="let producto of productos" (enviarDatos)="recibirDatos($event)" [producto]="producto"></app-tarjeta-producto>
      </div>
    </ng-container>

    <ng-template #mensaje>
      <div class="mensaje">
        <label class="label-fw700">El emprendimiento aún no tiene productos disponibles.</label>
      </div>
    </ng-template>
  </div>
</div>

<app-tarjeta-informacion [datos]="{id: dialogId, show: mostrarDialogDetalle, isProduct: isProduct}"
  (cerrarDialogInformacion)="mostrarDialogDetalle = false"></app-tarjeta-informacion>
